﻿using System;
using System.Collections.Generic;

namespace AlternativeTable
{
  public class ProductManager
  {
    public List<Product> Get()
    {
      return CreateMockData();
    }

    protected List<Product> CreateMockData()
    {
      List<Product> ret = new List<Product>();

      ret.Add(new Product() {
        ProductId = 1,
        ProductName = "Add Angular to MVC Applications",
        IntroductionDate = Convert.ToDateTime("07/25/2017"),
        Url = "http://bit.ly/2u1ofRk",
        Price = Convert.ToDecimal(29.00)
      });

      ret.Add(new Product() {
        ProductId = 2,
        ProductName = "Basics of Unit Testing for C# Developers",
        IntroductionDate = Convert.ToDateTime("01/23/2017"),
        Url = "http://bit.ly/2rmDEPP",
        Price = Convert.ToDecimal(29.00)
      });

      ret.Add(new Product() {
        ProductId = 3,
        ProductName = "Extending Bootstrap with CSS, JavaScript and jQuery",
        IntroductionDate = Convert.ToDateTime("6/11/2015"),
        Url = "http://bit.ly/1SNzc0i",
        Price = Convert.ToDecimal(29.00)
      });

      ret.Add(new Product() {
        ProductId = 4,
        ProductName = "Build your own Bootstrap Business Application Template in MVC",
        IntroductionDate = Convert.ToDateTime("1/29/2015"),
        Url = "http://bit.ly/1I8ZqZg",
        Price = Convert.ToDecimal(29.00)
      });

      ret.Add(new Product() {
        ProductId = 5,
        ProductName = "Building Mobile Web Sites Using Web Forms, Bootstrap, and HTML5",
        IntroductionDate = Convert.ToDateTime("8/28/2014"),
        Url = "http://bit.ly/1J2dcrj",
        Price = Convert.ToDecimal(29.00)
      });

      ret.Add(new Product() {
        ProductId = 6,
        ProductName = "How to Start and Run A Consulting Business",
        IntroductionDate = Convert.ToDateTime("9/12/2013"),
        Url = "http://bit.ly/1L8kOwd",
        Price = Convert.ToDecimal(29.00)
      });

      ret.Add(new Product() {
        ProductId = 7,
        ProductName = "The Many Approaches to XML Processing in .NET Applications",
        IntroductionDate = Convert.ToDateTime("7/22/2013"),
        Url = "http://bit.ly/1DBfUqd",
        Price = Convert.ToDecimal(29.00)
      });

      ret.Add(new Product() {
        ProductId = 8,
        ProductName = "WPF for the Business Programmer",
        IntroductionDate = Convert.ToDateTime("6/12/2009"),
        Url = "http://bit.ly/1UF858z",
        Price = Convert.ToDecimal(29.00)
      });

      ret.Add(new Product() {
        ProductId = 9,
        ProductName = "WPF for the Visual Basic Programmer - Part 1",
        IntroductionDate = Convert.ToDateTime("12/16/2014"),
        Url = "http://bit.ly/1uFxS7C",
        Price = Convert.ToDecimal(19.00)
      });

      ret.Add(new Product() {
        ProductId = 10,
        ProductName = "WPF for the Visual Basic Programmer - Part 2",
        IntroductionDate = Convert.ToDateTime("2/18/2014"),
        Url = "http://bit.ly/1MjQ9NG",
        Price = Convert.ToDecimal(19.00)
      });

      return ret;
    }
  }
}
